libglom-1.20: Glom::LayoutItem Class Reference

libglom-1.20 1.20.7

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem Class Reference
Inheritance diagram for Glom::LayoutItem:
[legend]
Collaboration diagram for Glom::LayoutItem:
[legend]

List of all members.

## Public Member Functions
| LayoutItem ()
| LayoutItem (const LayoutItem& src)
LayoutItem& | operator= (const LayoutItem& src)
virtual | ~LayoutItem ()
virtual LayoutItem* | clone () const =0
| Create a new copied instance.
bool | operator== (const LayoutItem& src) const
virtual bool | get_editable () const
virtual void | set_editable (bool val=true)
virtual Glib::ustring | get_layout_display_name () const
virtual Glib::ustring | get_part_type_name () const =0
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
guint | get_display_width () const
void | set_display_width (guint value)
void | get_print_layout_position (double& x, double& y, double& width, double& height) const
| This is used only for the print layouts.
void | set_print_layout_position (double x, double y, double width, double height)
| This is used only for the print layouts.
void | set_print_layout_position_y (double y)
| This is used only for the print layouts.
void | set_print_layout_split_across_pages (bool split=true)
| This is used only for the print layouts.
bool | get_print_layout_split_across_pages () const
| This is used only for the print layouts.

## Constructor & Destructor Documentation

Glom::LayoutItem::LayoutItem | ( |  | ) |

Glom::LayoutItem::LayoutItem | ( | const LayoutItem& | src | ) |

virtual Glom::LayoutItem::~LayoutItem | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem::clone | ( |  | ) | const`[pure virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implemented in Glom::LayoutGroup, Glom::LayoutItem_Button, Glom::LayoutItem_CalendarPortal, Glom::LayoutItem_Field, Glom::LayoutItem_Image, Glom::LayoutItem_Line, Glom::LayoutItem_Notebook, Glom::LayoutItem_Placeholder, Glom::LayoutItem_Portal, Glom::LayoutItem_Text, Glom::LayoutItem_FieldSummary, Glom::LayoutItem_Footer, Glom::LayoutItem_GroupBy, Glom::LayoutItem_Header, Glom::LayoutItem_Summary, and Glom::LayoutItem_VerticalGroup.

guint Glom::LayoutItem::get_display_width | ( |  | ) | const

virtual bool Glom::LayoutItem::get_editable | ( |  | ) | const`[virtual]`

virtual Glib::ustring Glom::LayoutItem::get_layout_display_name | ( |  | ) | const`[virtual]`

Reimplemented in Glom::LayoutItem_Field, Glom::LayoutItem_FieldSummary, and Glom::LayoutItem_GroupBy.

virtual Glib::ustring Glom::LayoutItem::get_part_type_name | ( |  | ) | const`[pure virtual]`

Implemented in Glom::LayoutGroup, Glom::LayoutItem_Button, Glom::LayoutItem_CalendarPortal, Glom::LayoutItem_Field, Glom::LayoutItem_Image, Glom::LayoutItem_Line, Glom::LayoutItem_Notebook, Glom::LayoutItem_Placeholder, Glom::LayoutItem_Portal, Glom::LayoutItem_Text, Glom::LayoutItem_FieldSummary, Glom::LayoutItem_Footer, Glom::LayoutItem_GroupBy, Glom::LayoutItem_Header, Glom::LayoutItem_Summary, and Glom::LayoutItem_VerticalGroup.

void Glom::LayoutItem::get_print_layout_position | ( | double & | x,
|  | double & | y,
|  | double & | width,
|  | double & | height
| ) |  | const

This is used only for the print layouts.

bool Glom::LayoutItem::get_print_layout_split_across_pages | ( |  | ) | const

This is used only for the print layouts.

virtual Glib::ustring Glom::LayoutItem::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented in Glom::LayoutGroup, Glom::LayoutItem_Field, Glom::LayoutItem_Image, Glom::LayoutItem_Line, Glom::LayoutItem_Placeholder, Glom::LayoutItem_Text, Glom::LayoutItem_FieldSummary, Glom::LayoutItem_Footer, Glom::LayoutItem_GroupBy, Glom::LayoutItem_Header, Glom::LayoutItem_Summary, and Glom::LayoutItem_VerticalGroup.

LayoutItem& Glom::LayoutItem::operator= | ( | const LayoutItem& | src | ) |

bool Glom::LayoutItem::operator== | ( | const LayoutItem& | src | ) | const

void Glom::LayoutItem::set_display_width | ( | guint | value | ) |

virtual void Glom::LayoutItem::set_editable | ( | bool | val = `true` | ) | `[virtual]`

void Glom::LayoutItem::set_print_layout_position | ( | double | x,
|  | double | y,
|  | double | width,
|  | double | height
| ) |  |

This is used only for the print layouts.

void Glom::LayoutItem::set_print_layout_position_y | ( | double | y | ) |

This is used only for the print layouts.

void Glom::LayoutItem::set_print_layout_split_across_pages | ( | bool | split = `true` | ) |

This is used only for the print layouts.

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem.h